Bug 8066 - smbget(1) uses wrong units (Mb/MB, kb/kB)
smbget(1) uses wrong units (Mb/MB, kb/kB)
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.4
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 10:04 UTC by Bruce Cran
Modified: 2011-04-17 18:58 UTC (History)
0 users

See Also:


Attachments
Patch for 3.5 (1.13 KB, patch)
2011-04-07 20:42 UTC, Volker Lendecke
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Cran 2011-04-07 10:04:46 UTC
smbget(1) incorrectly uses lower-case units such as Mb which to most users indicates megabits. However the files are actually shown in megabytes and so should be shown as "MB". Likewise, "kb" should be "kB". Or, if S1 units are to be used, KiB and MiB.
Comment 1 Volker Lendecke 2011-04-07 20:42:08 UTC
Created attachment 6388 [details]
Patch for 3.5

The attached patch fixes it for me.
Comment 2 Volker Lendecke 2011-04-15 06:50:00 UTC
Comment on attachment 6388 [details]
Patch for 3.5

Jeremy, if you have time...

Thanks,

Volker
Comment 3 Jeremy Allison 2011-04-15 16:41:40 UTC
Comment on attachment 6388 [details]
Patch for 3.5

Looks good to me.
Comment 4 Jeremy Allison 2011-04-15 16:42:40 UTC
Reassigning to Karolin for inclusion in 3.5.next.
Jeremy.
Comment 5 Karolin Seeger 2011-04-17 18:58:48 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!